Platforms

Update Platform Group

PUT
/platforms/groups/{platformGroupId}

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

platformGroupId*string
platformGroupId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/platforms/groups/string" \  -H "Content-Type: application/json" \  -d '{}'
{  "platformGroupId": "string",  "platformId": "string",  "environment": "string",  "name": "string",  "currency": "string",  "archived": true,  "lotMultiplier": "string",  "metrics": [    {      "key": "trades",      "value": 0    }  ],  "platform": {    "platformId": "string",    "name": "string",    "provider": "string"  },  "createTime": "2019-08-24T14:15:22Z",  "updateTime": "2019-08-24T14:15:22Z"}
{  "message": "string",  "errors": {    "property1": [      "string"    ],    "property2": [      "string"    ]  }}
{  "message": "string",  "errors": {    "property1": [      "string"    ],    "property2": [      "string"    ]  }}
{  "message": "string",  "errors": {    "property1": [      "string"    ],    "property2": [      "string"    ]  }}
{  "message": "string",  "errors": {    "property1": [      "string"    ],    "property2": [      "string"    ]  }}
{  "message": "string",  "errors": {    "property1": [      "string"    ],    "property2": [      "string"    ]  }}